# frozen_string_literal: true

module NHApi
  class Image
    attr_reader :filetype, :width, :height, :url

    def initialize(attributes)
      @filetype = NHApi::FILETYPES[attributes["t"]]
      @width = attributes["w"]
      @height = attributes["h"]
      @url = generate_url(attributes)
    end

    private

    def generate_url(params); end
  end
end
